org.apache.ignite.stream.kafka.connect

## Class IgniteSourceConstants

- java.lang.Object
- - org.apache.ignite.stream.kafka.connect.IgniteSourceConstants

-     public class IgniteSourceConstants
      extends Object

  Sink configuration strings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_CFG_PATH` Ignite configuration file path.
    `static String` | `CACHE_EVENTS` Events to be listened to.
    `static String` | `CACHE_FILTER_CLASS` User-defined filter class.
    `static String` | `CACHE_NAME` Cache name.
    `static String` | `INTL_BATCH_SIZE` Size of one chunk drained from the internal buffer.
    `static String` | `INTL_BUF_SIZE` Internal buffer size.
    `static String` | `TOPIC_NAMES` Kafka topic.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSourceConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_CFG_PATH

          public static final String CACHE_CFG_PATH

      Ignite configuration file path.
      See Also:
        Constant Field Values

    - #### CACHE_NAME

          public static final String CACHE_NAME

      Cache name.
      See Also:
        Constant Field Values

    - #### CACHE_EVENTS

          public static final String CACHE_EVENTS

      Events to be listened to. Names corresponds to `IgniteSourceTask.CacheEvt`.
      See Also:
        Constant Field Values

    - #### INTL_BUF_SIZE

          public static final String INTL_BUF_SIZE

      Internal buffer size.
      See Also:
        Constant Field Values

    - #### INTL_BATCH_SIZE

          public static final String INTL_BATCH_SIZE

      Size of one chunk drained from the internal buffer.
      See Also:
        Constant Field Values

    - #### CACHE_FILTER_CLASS

          public static final String CACHE_FILTER_CLASS

      User-defined filter class.
      See Also:
        Constant Field Values

    - #### TOPIC_NAMES

          public static final String TOPIC_NAMES

      Kafka topic.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IgniteSourceConstants

          public IgniteSourceConstants()

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020